Loading...
Searching...
No Matches
BALL::VIEW::EditSingleShortcut Class Reference
Visualisation » Modular Widgets

`#include <BALL/VIEW/DIALOGS/editSingleShortcut.h>`

Inheritance diagram for BALL::VIEW::EditSingleShortcut:

## Public Slots

virtual void | accept ()
virtual void | reject ()

## Public Member Functions

| EditSingleShortcut (QWidget *parent=NULL, const char *name="EditSingleShortcut", Qt::WindowFlags fl=0)
| Constructor.
QKeySequence const & | getKeySequence () const
void | setIndex (const QModelIndex &index)
void | reset ()
void | setup (const QString &shortcut)

## Protected Slots

void | modeChanged_ (bool toggled)

## Protected Member Functions

void | setErrorText (QString error)
void | setShortcutText (QString new_keysequence)
void | updateText_ ()
void | changeMode_ (bool mode)
void | keyPressEvent (QKeyEvent *evt)
void | keyReleaseEvent (QKeyEvent *evt)
void | startRecording_ ()
void | stopRecording_ ()

## Protected Attributes

bool | is_recording_
unsigned int | modifiers_
int | key_
QKeySequence | new_sequence_

## Detailed Description

Widget for customizing BALLView shortcuts

Definition at line 35 of file editSingleShortcut.h.

## Constructor & Destructor Documentation

## EditSingleShortcut()

BALL::VIEW::EditSingleShortcut::EditSingleShortcut | ( | QWidget * | parent = NULL,
|  | const char * | name = "EditSingleShortcut",
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## Member Function Documentation

## accept

virtual void BALL::VIEW::EditSingleShortcut::accept | ( |  | ) |

virtual slot

## changeMode_()

void BALL::VIEW::EditSingleShortcut::changeMode_ | ( | bool | mode | ) |

protected

## getKeySequence()

QKeySequence const & BALL::VIEW::EditSingleShortcut::getKeySequence | ( |  | ) | const

inline

Definition at line 47 of file editSingleShortcut.h.

## keyPressEvent()

void BALL::VIEW::EditSingleShortcut::keyPressEvent | ( | QKeyEvent * | evt | ) |

protected

## keyReleaseEvent()

void BALL::VIEW::EditSingleShortcut::keyReleaseEvent | ( | QKeyEvent * | evt | ) |

protected

## modeChanged_

void BALL::VIEW::EditSingleShortcut::modeChanged_ | ( | bool | toggled | ) |

protected slot

## reject

virtual void BALL::VIEW::EditSingleShortcut::reject | ( |  | ) |

virtual slot

## reset()

void BALL::VIEW::EditSingleShortcut::reset | ( |  | ) |

## setErrorText()

void BALL::VIEW::EditSingleShortcut::setErrorText | ( | QString | error | ) |

protected

## setIndex()

void BALL::VIEW::EditSingleShortcut::setIndex | ( | const QModelIndex & | index | ) |

## setShortcutText()

void BALL::VIEW::EditSingleShortcut::setShortcutText | ( | QString | new_keysequence | ) |

protected

## setup()

void BALL::VIEW::EditSingleShortcut::setup | ( | const QString & | shortcut | ) |

## startRecording_()

void BALL::VIEW::EditSingleShortcut::startRecording_ | ( |  | ) |

protected

## stopRecording_()

void BALL::VIEW::EditSingleShortcut::stopRecording_ | ( |  | ) |

protected

## updateText_()

void BALL::VIEW::EditSingleShortcut::updateText_ | ( |  | ) |

protected

## Member Data Documentation

## is_recording_

bool BALL::VIEW::EditSingleShortcut::is_recording_

protected

Definition at line 61 of file editSingleShortcut.h.

## key_

int BALL::VIEW::EditSingleShortcut::key_

protected

Definition at line 64 of file editSingleShortcut.h.

## modifiers_

unsigned int BALL::VIEW::EditSingleShortcut::modifiers_

protected

Definition at line 63 of file editSingleShortcut.h.

## new_sequence_

QKeySequence BALL::VIEW::EditSingleShortcut::new_sequence_

protected

Definition at line 65 of file editSingleShortcut.h.